# Visualization
TKService
WNT

# WNT_HFontTable Class Reference

`#include <WNT_HFontTable.hxx>`

## Public Member Functions

Standard_EXPORT | WNT_HFontTable (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | WNT_HFontTable (const Standard_Integer Low, const Standard_Integer Up, const Handle(WNT_FontMapEntry)&V)
Standard_EXPORT void | Init (const Handle(WNT_FontMapEntry)&V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(WNT_FontMapEntry)&Value)
const Handle_WNT_FontMapEntry & | Value (const Standard_Integer Index) const
Handle_WNT_FontMapEntry & | ChangeValue (const Standard_Integer Index)
const WNT_FontTable & | Array1 () const
WNT_FontTable & | ChangeArray1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

WNT_FontTable | myArray

## Constructor & Destructor Documentation

Standard_EXPORT WNT_HFontTable::WNT_HFontTable | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT WNT_HFontTable::WNT_HFontTable | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const Handle(WNT_FontMapEntry)& | V
| ) |

## Member Function Documentation

const WNT_FontTable& WNT_HFontTable::Array1 | ( |  | ) | const

WNT_FontTable& WNT_HFontTable::ChangeArray1 | ( |  | ) |

Handle_WNT_FontMapEntry& WNT_HFontTable::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT const WNT_HFontTable::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void WNT_HFontTable::Init | ( | const Handle(WNT_FontMapEntry)& | V | ) |

Standard_Integer WNT_HFontTable::Length | ( |  | ) | const

Standard_Integer WNT_HFontTable::Lower | ( |  | ) | const

void WNT_HFontTable::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(WNT_FontMapEntry)& | Value
| ) |

Standard_Integer WNT_HFontTable::Upper | ( |  | ) | const

const Handle_WNT_FontMapEntry& WNT_HFontTable::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

WNT_FontTable WNT_HFontTable::myArray `[private]`

The documentation for this class was generated from the following file:

- WNT_HFontTable.hxx